<?php

function get_support_versions()
{
    return array('1.7');
}

function get_cms_version()
{
    return _PS_VERSION_;
}

function has_version_in_path($path)
{
    $support_versions = get_support_versions();
    foreach ($support_versions as $version)
        if (strpos($path, $version) !== false) // has version in path
            return true;
    return false;
}

function correct_version_path($path)
{
    $support_versions = get_support_versions();
    $cms_version = get_cms_version();
    foreach ($support_versions as $version) {
        if (strpos($path, $version) !== false) { // has version in path
            if (strpos($cms_version, $version) !== false) // current version CMS control export with and without version folder
                return array($path, str_replace($version, '', $path));
            return array($path); // ohterwise export to version folder
        }
    }
    return array($path); // export common control file as usual
}

function get_support_versions_folder($theme_folder)
{
    $support_versions = get_support_versions();
    $result = array();
    foreach ($support_versions as $version) {
        $result[$version] = $theme_folder . '/' . $version;
    }
    return $result;
}