<td>
    <a href="{$product.url}" title="ProductTitle">
        <img class=" bd-imagestyles-8" src="{$product.cover.bySize.cart_default.url}" alt="{$product.name|escape:'quotes'}">
    </a>
</td>

<td>
    <h3 class=" bd-producttext-15">
        <a href="{$product.url}">{$product.name}</a>
    </h3>
    {foreach from=$product.attributes key="attribute" item="value"}
        <div class="product-line-info">
            <span class="label">{$attribute}:</span>
            <span class="value">{$value}</span>
        </div>
    {/foreach}

    {if $product.customizations|count}
        <br>
        {block name='cart_detailed_product_line_customization'}
            {foreach from=$product.customizations item="customization"}
                <a href="#" data-toggle="modal" data-target="#product-customizations-modal-{$customization.id_customization}">{l s='Product customization' d='Shop.Theme.Catalog'}</a>
                <div class="modal fade customization-modal" id="product-customizations-modal-{$customization.id_customization}" tabindex="-1" role="dialog" aria-hidden="true">
                    <div class="modal-dialog" role="document">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                                <h4 class="modal-title">{l s='Product customization' d='Shop.Theme.Catalog'}</h4>
                            </div>
                            <div class="modal-body">
                                {foreach from=$customization.fields item="field"}
                                    <div class="product-customization-line row">
                                        <div class="col-sm-3 col-xs-4 label">
                                            {$field.label}
                                        </div>
                                        <div class="col-sm-9 col-xs-8 value">
                                            {if $field.type == 'text'}
                                                {if (int)$field.id_module}
                                                    {$field.text nofilter}
                                                {else}
                                                    {$field.text}
                                                {/if}
                                            {elseif $field.type == 'image'}
                                                <img src="{$field.image.small.url}">
                                            {/if}
                                        </div>
                                    </div>
                                {/foreach}
                            </div>
                        </div>
                    </div>
                </div>
            {/foreach}
        {/block}
    {/if}
</td>

<td>
    {if $product.has_discount}
        <div class="product-discount">
            <span class="regular-price">{$product.regular_price}</span>
            {if $product.discount_type === 'percentage'}
                <span class="discount discount-percentage">
                -{$product.discount_percentage_absolute}
              </span>
            {else}
                <span class="discount discount-amount">
                -{$product.discount_to_display}
              </span>
            {/if}
        </div>
    {/if}

    <span class="price">
        <span>{$product.price}</span>
    </span>
    {if $product.unit_price_full}
        <div class="unit-price-cart">{$product.unit_price_full}</div>
    {/if}
</td>

<td>
    {if isset($product.is_gift) && $product.is_gift}
        <span class="gift-quantity">{$product.quantity}</span>
    {else}
        <input
                class=" bd-bootstrapinput form-control js-cart-line-product-quantity"
                data-down-url="{$product.down_quantity_url}"
                data-up-url="{$product.up_quantity_url}"
                data-update-url="{$product.update_quantity_url}"
                data-product-id="{$product.id_product}"
                type="number"
                value="{$product.quantity}"
                name="product-quantity-spin"
                min="{$product.minimal_quantity}"
        />
    {/if}
</td>

<td>
    <span class="product-price">
          <strong>
            {if isset($product.is_gift) && $product.is_gift}
                <span class="gift">{l s='Gift' d='Shop.Theme.Checkout'}</span>
            {else}
                {$product.total}
            {/if}
          </strong>
    </span>
</td>

<td class="cart-line-product-actions">
    <a
            class                       = "remove-from-cart"
            rel                         = "nofollow"
            href                        = "{$product.remove_from_cart_url}"
            data-link-action            = "delete-from-cart"
            data-id-product             = "{$product.id_product|escape:'javascript'}"
            data-id-product-attribute   = "{$product.id_product_attribute|escape:'javascript'}"
            data-id-customization   	  = "{$product.id_customization|escape:'javascript'}"
    >
        {if !isset($product.is_gift) || !$product.is_gift}
            <span class="
 bd-icon-43 bd-icon "></span>
        {/if}
    </a>

    {block name='hook_cart_extra_product_actions'}
        {hook h='displayCartExtraProductActions' product=$product}
    {/block}

</td>